Subject: bug#66297: closed (guix-daemon not starting after boot)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Jun 2025 08:34:02 +0000

Your bug report

#66297: guix-daemon not starting after boot

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66297: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: guix-daemon not starting after boot
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Thu, 12 Jun 2025 09:33:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've finally could resolve it after fixing the system config where I had
to specify `dependencies` parameter and add additional Linux Kernel
modules.

`config.scm`
--8<---------------cut here---------------start------------->8---
...

  (initrd-modules (append (list "raid456"
                                "xfs")
                          %base-initrd-modules))
...
  (mapped-devices (list (mapped-device
                         (source (list "/dev/sda1" "/dev/sdb1"))
                         (targets (list "/dev/md0"))
                         (type raid-device-mapping))))
...
                       (file-system
                         (mount-point "/mnt/library")
                         (device "/dev/md0")
                         (type "xfs")
                         (dependencies mapped-devices))
...
--8<---------------cut here---------------end--------------->8---

After reconfiguration the the latests commit everything started to work!

--8<---------------cut here---------------start------------->8---
guix system describe
Generation 8    Jun 10 2025 09:05:59    (current)
  file name: /var/guix/profiles/system-8-link
  canonical file name: /gnu/store/jxl8s9zv961nfy92qv0v7d37gnxklcpi-system
  label: GNU with Linux 6.14.9
  bootloader: grub
  root device: UUID: defa5f0b-5d2f-4095-b299-39e5819cc54e
  kernel: /gnu/store/2ql958778ll2hm477jpf3hdxbkvr3l80-linux-6.14.9/bzImage
  channels:
    nonguix:
      repository URL: https://gitlab.com/nonguix/nonguix
      branch: master
      commit: fb6696c598f630ff46fe542a0523d47a788abaa0
    guix:
      repository URL: https://git.guix.gnu.org/guix.git
      branch: master
      commit: 2b8101b9edfebd763f5375cb25f9cf50b982b67a
  configuration file: /gnu/store/j1njzwkksrdq5wwcbmvfqy2545xh6d8n-configuration.scm
--8<---------------cut here---------------end--------------->8---

Closing this issue as no longer affecting.

--
Thanks,
Oleg

Subject: guix-daemon not starting after boot
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Sun, 1 Oct 2023 22:45:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

After the recent pull and system reconfigure I've started experiencing
guix-daemon not starting up after the system boot.

~# guix describe
Generation 29   Sep 27 2023 21:59:12    (current)
  guix 0500af5
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 0500af5556307d0a4c14a23864e9e4bccd2643d7
  nonguix bb184bd
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: bb184bd0a8f91beec3a00718759e96c7828853de

~# guix pull
guix pull: error: failed to connect to
`/var/guix/daemon-socket/socket': Connection refused
~# herd status guix-daemon
Status of guix-daemon:
  It is stopped.
  It is enabled.
  Provides (guix-daemon).
  Requires (user-processes).
  Will be respawned.

Logs are empty:
~# tail /var/log/guix-daemon.log | wc -l
0

-- 
… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.